/* btip style */
.btips {
  background    : linear-gradient(to bottom, rgba(90, 45, 115, 0.8) 0%, rgba(70, 25, 95, 0.9) 50%, rgba(50, 5, 75, 1.0) 100%);
  border-color  : indigo;
  border-radius : 4px;
  box-shadow    : 0 0 2px 2px rgba(110, 65, 135, 0.5);
  color         : white;
  font-size     : 0.7em;
  font-weight   : bold;
  padding       : 12px;
  vertical-align: middle;
}
.btips a {
  color: yellow;
}
/* btip content */
.btipc,
.grafact .ttc,
.grafici_pannello .ttc,
.sps .ttc,
.sps_ico .ttc,
.ttc {
  display: none;
}
.ttc img {
  vertical-align: middle;
}

/* Anteprima anomalie */
.ttc-ano {
  background    : linear-gradient(to bottom, rgba(45, 0, 70, 0.9) 0%, rgba(25, 0, 50, 0.94) 50%, rgba(0, 0, 0, 0.98) 100%);
  border-color  : indigo;
  border-radius : 4px;
  box-shadow    : 0 0 6px 6px rgba(45, 0, 70, 0.5);
  color         : yellow;
  font-size     : 0.8em;
  font-weight   : bold;
  height        : 512px;
  max-width     : 840px;
  position      : fixed;
  vertical-align: middle;
  width         : 840px;
}
.ttc-ano .centro {
  border    : 1px solid transparent;
  box-sizing: border-box;
  height    : 512px;
  position  : relative;
}
.ttc-ano .h3 {
  color         : white;
  font-size     : 14pt;
  font-weight   : bold;
  height        : 7%;
  margin-top    : 0;
  text-transform: uppercase;
}
.ttc-ano a.qtip-close {
  background  : url("../img/24_ico_close.png") transparent;
  border      : none;
  color       : transparent;
  margin-right: 16px;
  margin-top  : 16px;
  width       : 24px;
  height      : 24px;
}
.ttc-ano .ano_lista {
  display      : inline-block;
  float        : left;
  font-weight  : normal;
  height       : 43%;
  min-height   : 43%;
  margin-left  : auto;
  margin-right : auto;
  max-height   : 43%;
  padding-top  : 2px;
  padding-right: 28px;
  overflow-x   : hidden;
  overflow-y   : auto;
  text-align   : left;
  width        : 56%;
}
.ttc-ano .ano_lista .ald,
.ttc-ano .ano_lista .alg {
  display: none;
}
.ttc-ano .ano_lista a {
  border         : 1px solid transparent;
  border-radius  : 4px;
  cursor         : pointer;
  display        : inline-block;
  /*font-style     : italic;*/
  padding        : 6px 12px;
  text-decoration: none;
  width          : 100%;
}
.ttc-ano .ano_lista a.sel {
  background-color: rgba(0, 128, 0, 0.5);
}
.ttc-ano .ano_lista a:hover {
  border: 1px solid lawngreen;
}
.ttc-ano .ano_lista a img {
  margin-bottom : 2px;
  vertical-align: middle;
}
.ttc-ano .att {
  font-weight: bold;
}
.ttc-ano .err {
  color      : white;
  font-weight: bold;
}
.ttc-ano .ok {
  color      : lime;
  font-weight: bold;
}
.ttc-ano .noc {
  color      : lightgrey;
  font-weight: bold;
}
.ttc-ano div.err,
.ttc-ano div.noc,
.ttc-ano div.ok {
  line-height: 2.1em;
}
.ttc-ano .dsc {
  border       : 1px solid lawngreen;
  border-radius: 4px;
  box-sizing   : border-box;
  float        : right;
  font-weight  : normal;
  height       : 43%;
  min-height   : 43%;
  max-height   : 43%;
  line-height  : 1.3em;
  padding      : 1%;
  text-align   : left;
  width        : 40%;
}
.ttc-ano .dsc table.ainf {
  font-family: monospace;
  font-size  : 1.2em;
  font-weight: normal;
  margin     : 0;
  overflow   : hidden;
  padding    : 0;
  white-space: nowrap;
  width      : 324px;
}
.ttc-ano .dsc table.ainf a {
  text-decoration: none;
}
.ttc-ano .dsc table.ainf td.conf a {
  color      : lightgreen;
  line-height: 24px;
}
.ttc-ano .dsc table.ainf td.conf span {
  color      : lightgrey;
  cursor     : not-allowed;
  font-style : italic;
  line-height: 24px;
}
.ttc-ano .dsc table.ainf td.cx {
  text-align: center;
}
.ttc-ano .dsc table.ainf td.dx {
  text-align: right;
}
.ttc-ano .dsc table.ainf td.sx {
  text-align: left;
}
.ttc-ano .dsc table.ainf tr:hover {
  background-color: rgba(160, 0, 0, 0.25);
}
.ttc-ano .dsc table.ainf tr.imp {
  font-weight: bold;
}
.ttc-ano .dsc table.ainf tr.inf {
  color     : lightgrey;
  font-style: italic;
}
.ttc-ano .dsc table.ainf tr.inf.data {
  color     : cyan;
}
.ttc-ano .dsc table.ainf tr.tac,
.ttc-ano .dsc table.ainf tr.tac a {
  color          : lawngreen;
}
.ttc-ano .dsc .txt {
  font-weight: bold;
}
.ttc-ano .gfx {
  border       : 1px solid lawngreen;
  border-radius: 4px;
  bottom       : 0;
  box-sizing   : border-box;
  height       : 48%;
  left         : 0;
  position     : absolute;
  width        : 100%;
}
.ttc-ano .gfx img {
  width      : 100%;
  height     : 100%;
}
.ttc-ano .vmid {
  display        : flex;
  align-items    : center;
  justify-content: center;
}
.ttc-ano .pri-0,
.ttc-ano .pri-0 a {
  color: olive;
}
.ttc-ano .pri-0.tac {
  color: darkolivegreen;
}
.ttc-ano .pri-1,
.ttc-ano .pri-1 a {
  color: yellow;
}
.ttc-ano .pri-1.tac {
  color: #DEDC64;
}
.ttc-ano .pri-2,
.ttc-ano .pri-2 a {
  color: orange;
}
.ttc-ano .pri-2.tac {
  color: chocolate;
}
.ttc-ano .pri-3,
.ttc-ano .pri-3 a {
  color: red;
}
.ttc-ano .pri-3.tac {
  color: indianred;
}
.ttc-ano .pri-dati,
.ttc-ano .pri-dati a {
  color: lightgrey;
}
.ttc-ano .pri-dati.tac {
  color: darkgrey;
}
.ttc-ano a.tac {
  font-style: italic;
}

/* Tipi di controllo automatico */
.ttc-ctipi2 {
  background    : linear-gradient(to bottom, rgba(45, 0, 70, 0.9) 0%, rgba(25, 0, 50, 0.94) 50%, rgba(0, 0, 0, 0.98) 100%);
  border-color  : indigo;
  border-radius : 4px;
  box-shadow    : 0 0 6px 6px rgba(45, 0, 70, 0.5);
  color         : yellow;
  font-size     : 0.8em;
}

.ttc-ctipi {
  background    : linear-gradient(to bottom, rgba(45, 0, 70, 0.9) 0%, rgba(25, 0, 50, 0.94) 50%, rgba(0, 0, 0, 0.98) 100%);
  border-color  : indigo;
  border-radius : 4px;
  box-shadow    : 0 0 6px 6px rgba(45, 0, 70, 0.5);
  font-size     : 0.8em;
  padding       : 4px 8px 4px 8px;
  vertical-align: middle;
  color         : white;
  max-width     : 70%;
  max-height    : 90%;
  overflow-y    : auto;
}
.ttc-ctipi .clickabile:hover {
  text-decoration: underline;
}
.ttc-ctipi img {
  vertical-align: middle;
}
.ttc-ctipi span.chiave {
  color      : cyan;
  font-style : normal;
  font-weight: bold;
}
.ttc-ctipi h4 {
  color       : yellow;
  margin-left : auto;
  margin-right: auto;
  text-align  : center;
}
.ttc-ctipi hr {
  background-color: yellow;
  border          : none;
  height          : 1px;
  width           : 100%;
}
.ttc-ctipi ul {
  padding-left: 12px;
  text-align  : left;
}
.ttc-ctipi ul li {
  font-style: italic;
}

/* Grafici  */
.ttc-gfx {
  background    : linear-gradient(to bottom, rgba(90, 45, 115, 0.8) 0%, rgba(70, 25, 95, 0.9) 50%, rgba(50, 5, 75, 1.0) 100%);
  border-color  : indigo;
  border-radius : 4px;
  box-shadow    : 0 0 2px 2px rgba(110, 65, 135, 0.5);
  color         : yellow;
  font-size     : 0.7em;
  font-weight   : bold;
  padding       : 6px 12px 6px 6px;
  vertical-align: middle;
}
.ttc-gfx a {
  border         : 1px solid transparent;
  border-radius  : 4px;
  color          : white;
  display        : inline-block;
  font-style     : italic;
  padding        : 1px 2px 1px 2px;
  text-decoration: none;
  width          : 100%;
}
.ttc-gfx a:hover {
  border: 1px solid lawngreen;
}
.ttc-gfx a img {
  padding       : 1px 2px 1px 2px;
  vertical-align: middle;
}
.ttc-gfx a.def {
  color: lawngreen;
}
.ttc-gfx a.def-priv {
  color: pink;
}
.ttc-gfx a.priv {
  color: turquoise;
}
.ttc-gfx a.pub {
  color: white;
}
.ttc-gfx a.tutti {
  color: yellow;
}
.ttc-gfx hr {
  background-color: white;
  border          : none;
  height          : 1px;
  width           : 95%;
}

/* Tipi di grafico */
.ttc-gk {
  background    : linear-gradient(to bottom, rgba(220, 255, 220, 0.7) 0%, rgba(190, 255, 190, 0.85) 50%, rgba(160, 255, 160, 1.0) 100%);
  border-color  : lightgreen;
  border-radius : 4px;
  box-shadow    : 0 0 2px 2px rgba(230, 255, 230, 0.5);
  color         : darkgreen;
  font-size     : 0.7em;
  font-weight   : bold;
  padding       : 2px 4px 2px 4px;
  vertical-align: middle;
}
.ttc-gk tr:hover {
  background-color: rgba(120, 220, 120, 0.8);
}

/* Navigazione */
.ttc-nav {
  background   : linear-gradient(to bottom, rgba(20, 20, 20, 0.7) 0%, rgba(10, 10, 10, 0.8) 50%, rgba(0, 0, 0, 0.9) 100%);
  border-color : white;
  border-radius: 6px;
  box-shadow   : 0 0 3px 3px rgba(100, 100, 100, 0.5);
  color        : white;
  font-size    : 14px;
  height       : 142px;
  line-height  : 1.4em;
  padding      : 10px;
  text-align   : center;
  min-width    : 340px;
}
.ttc-nav .descr {
  font-style: italic;
}
.ttc-nav .descr .tech {
  color     : orange;
  text-align: center;
}
.ttc-nav .titolo {
  color      : yellow;
  font-weight: bold;
  text-align : center;
  white-space: nowrap;
  width      : 100%;
}
.ttc-nav .titolo img {
  border        : none;
  padding       : 0 12px 0 12px;
  vertical-align: middle;
}
.ttc-nav hr {
  background-color: yellow;
  border          : none;
  height          : 1px;
  width           : 95%;
}

/* Versione ridotta come la navigazione */
a.tt-nav-small {
  text-decoration: none;
}
.ttc-nav-small {
  background   : linear-gradient(to bottom, rgba(20, 20, 20, 0.7) 0%, rgba(10, 10, 10, 0.8) 50%, rgba(0, 0, 0, 0.9) 100%);
  border-color : white;
  border-radius: 6px;
  box-shadow   : 0 0 3px 3px rgba(100, 100, 100, 0.5);
  color        : white;
  font-size    : 12px;
  height       : 80px;
  line-height  : 1.2em;
  padding      : 2px;
  text-align   : center;
  width        : 200px;
}
.ttc-nav-small .descr {
  font-style: italic;
  text-align: center;
}
.ttc-nav-small .titolo {
  color      : gold;
  font-weight: bold;
  text-align : center;
  white-space: nowrap;
  width      : 100%;
}
.ttc-nav-small hr {
  background-color: gold;
  border          : none;
  height          : 1px;
  width           : 95%;
}

/* Invio grafici in E-Mail / Telegram */
.ttc-send {
  background    : linear-gradient(to bottom, rgba(220, 220, 255, 0.7) 0%, rgba(190, 190, 255, 0.85) 50%, rgba(160, 160, 255, 1.0) 100%);
  border-color  : slateblue;
  border-radius : 4px;
  box-shadow    : 0 0 2px 2px rgba(230, 230, 255, 0.5);
  color         : darkblue;
  font-size     : 0.7em;
  font-weight   : bold;
  padding       : 2px 4px 2px 4px;
  vertical-align: middle;
}
.ttc-send tr:hover {
  background-color: rgba(120, 120, 220, 0.8);
}

/* Bottoni di chiusura ToolTip */
.ttclose {
  background-color: rgba(255, 0, 0, 0.8); /*rgba(250, 105, 00, 0.5);*/ /*#FA6900;*/
  border-radius   : 5px;
  cursor          : pointer;
  position        : absolute;
}
.ttclose-16 {
  height: 16px;
  right : 2px;
  top   : 2px;
  width : 16px;
}
.ttclose-24 {
  height: 24px;
  right : 4px;
  top   : 4px;
  width : 24px;
}
.ttclose-32 {
  height: 32px;
  right : 6px;
  top   : 6px;
  width : 32px;
}
.ttclose:after {
  bottom        : 0;
  color         : #FFF;
  content       : "\274c";
  left          : 0;
  position      : absolute;
  right         : 0;
  text-align    : center;
  top           : 0;
  vertical-align: middle;
}
.ttclose-16:after {
  font-size  : 16px;
  line-height: 16px;
}
.ttclose-24:after {
  font-size  : 24px;
  line-height: 24px;
}
.ttclose-32:after {
  font-size  : 32px;
  line-height: 32px;
}

.img-mini img {
  width: 16px;
}
